## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# mailman3's TestableMaster can't be used outside of a
# source checkout?
%bcond_with tests

Name:           python-postorius
Version:        1.3.12
Release:        %autorelease
Summary:        Web UI for GNU Mailman

License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/postorius
Source:         %{pypi_source postorius}
# don't ship examples, they end up in sitelib
Patch:          postorius-dont-ship-examples.diff
# allow Django 5.2, for Python 3.14 compatibility
Patch:          postorius-django52.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
The Postorius Django app provides a web user interface to access GNU Mailman.}

%description %{_description}


%package -n postorius
Summary:        %{summary}

%description -n postorius %{_description}


%prep
%autosetup -p1 -n postorius-%{version}


%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files postorius


%check
# this requires the Django app to be set up first
# export DJANGO_SETTINGS_MODULE=postorius.doc.settings
# %%pyproject_check_import
%if %{with tests}
PYTHONPATH=$(pwd)/src:${PYTHONPATH} \
%tox
%endif


%files -n postorius -f %{pyproject_files}
%license COPYING
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jun 27 2025 Michel Lind <salimma@fedoraproject.org> - 1.3.12-3
- Allow Django 5.2, for Python 3.14 compatibility
- Fixes: rhbz#2372040

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 18 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.12-1
- Update to version 1.3.12; Fixes: RHBZ#2245465

* Mon Aug 26 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.8-8
- Depend on readme-renderer[md] as is, to pick up cmarkgfm
- Fixes: RHBZ#2292632

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 1.3.8-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-3
- Rebuilt for Python 3.12 (rhbz#2220414)
- Mark as compatible with Django 4.2
- Fix deprecation warning for LC_MESSAGES discovery

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-1
- Update to 1.3.8

* Mon Feb 27 2023 Tomas Hrcka <thrcka@redhat.com> - 1.3.6-4
- Unretirement request: https://pagure.io/releng/issue/11308

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.6-1
- Initial Fedora package
## END: Generated by rpmautospec
